Bug 46037 - Clean up uses of comphelper/configurationhelper.hxx
Summary: Clean up uses of comphelper/configurationhelper.hxx
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: difficultyInteresting, easyHack, skillCpp, topicCleanup
Depends on:
Blocks: Source
  Show dependency treegraph
 
Reported: 2012-02-14 05:39 UTC by Stephan Bergmann
Modified: 2018-09-23 18:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Bergmann 2012-02-14 05:39:26 UTC
The functionality provided by comphelper/configurationhelper.hxx has been superseded by the new simplified C++ configuration access, see <http://lists.freedesktop.org/archives/libreoffice/2012-January/024933.html>.

See <http://cgit.freedesktop.org/libreoffice/core/commit/?id=161c3f179f71eda2a32dabaf68ff6fb3ba487062> for examples of replacing the former with the latter:

* desktop/source/app/app.cxx features the common case of replacing reads of individual configuration items, giving substantive code shrinkage

* cui/source/options/optpath.cxx features the case of writing a single configuration item

* cui/source/options/treeopt.cxx features access to larger configuration entities than single leaf items (sets, in this case); the diff is only that large due to indentation changes (if configuration data for which there is a schema were actually missing at runtime, the simplified access would throw an exception, so no need to explicitly check for that)
Comment 1 Matúš Kukan 2013-02-15 08:16:24 UTC
IIUC one easy task would be to kill DtransX11ConfigItem used just to get VCL/Settings/Transfer/VCL/Settings/Transfer config property.
Comment 2 Matúš Kukan 2013-02-15 08:17:39 UTC
(In reply to comment #1)
> IIUC one easy task would be to kill DtransX11ConfigItem used just to get
> VCL/Settings/Transfer/VCL/Settings/Transfer config property.

Sorry, I mean VCL/Settings/Transfer/SelectionTimeout from officecfg/registry/data/org/openoffice/VCL.xcu
Comment 3 Commit Notification 2013-07-22 21:23:37 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b32a9e9ccb685b663941a1f4aa945a70ef784446

fdo#46037: no more comphelper/configurationhelper.hxx in formula module



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-07-22 21:32:39 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a4148011836a8be7d23f3f798ee276488f54d31e

fdo#46037: no more comphelper/configurationhelper.hxx in reportdesign



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-07-23 09:44:34 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b45d55d87ec1414e3a39a759d014d1e256f7975

fdo#46037: no more comphelper/configurationhelper.hxx in sd



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-07-23 21:42:11 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7cbf9c9e0a34937783dfa7f78d460dcf70504841

fdo#46037: no more comphelper/configurationhelper.hxx in fpicker



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-07-23 21:42:30 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4231190ad3a4ee7e459f7e1a5e9fd85ca3dca124

fdo#46037: no more comphelper/configurationhelper.hxx in writerfilter



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-07-23 22:44:54 UTC
Fridrich Å trba committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=57ebb84c1fdfc868cc01bd4b12e95ca043cda718

Revert "fdo#46037: no more comphelper/configurationhelper.hxx in fpicker"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2013-07-23 22:55:43 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=75ef95ebc48517d228d369167f89424a72b320bf

fdo#46037: no more comphelper/configurationhelper.hxx in fpicker



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2013-07-24 20:30:47 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b525ef35b14ffd2f162c539cc8c62cb0934ab214

fdo#46037: no more comphelper/configurationhelper.hxx in vcl



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2013-07-24 20:31:23 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c9d037c3e814eafb6db1fbafa2d3f9d097886873

fdo#46037: no more comphelper/configurationhelper.hxx in filter



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2013-07-24 20:31:42 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=20430c74f391ceffd8a063c0b6b8a8fd615abac0

fdo#46037: no more comphelper/configurationhelper.hxx in uui



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2013-07-26 07:42:33 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=513212eb71ffca09e47025ac82e0203d3df22d4a

fdo#46037: no more comphelper/configurationhelper.hxx in svx



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2013-07-26 07:51:44 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b14688f07f2d2e1e53cf0b99bd2f7a055e2ddb3d

fdo#46037: oups forgot about pch part in svx



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2013-07-26 17:22:20 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=04646443b3ee3baef0c3bdbaefad0eb66b71d33a

fdo#46037: no more comphelper/configurationhelper.hxx in framework/classes



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2013-07-26 18:50:11 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=39b1fb894fb3cd5ae2db65ddf9a2db761604f5e5

fdo#46037: comphelper/configurationhelper partly not used in fmwk/accelerators



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2013-07-26 18:59:26 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e8be58a10bce944525b4186db64629f526cf20ce

fdo#46037: 1 less occurrence comphelper/configurationhelper in fmwk/helper



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2013-07-26 20:16:04 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c02b3f8517e159c462a288d82e3b62cc4b2ab682

fdo#46037: less occurrences of comphelper/configurationhelper in sfx2/doc



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2013-07-31 13:33:07 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a8c403a1f8298cede274f315e367f799d4fb0f32

fdo#46037: less occurrences of comphelper/configurationhelper in sfx2/appl



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2013-07-31 13:33:26 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=78c5a2ce8c2d4967d954fceaf9b7707ec56a3d7b

fdo#46037: no more comphelper/configurationhelper in sfx2/view



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2013-08-03 15:57:02 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be2761ce013c349d6f6e825b89c76e1c60a63343

fdo#46037: remove 1 comphelper/configurationhelper in sfx2



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2013-08-03 16:06:34 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c76434ae061ecb07c61543cafcc9c9a14c6a2229

fdo#46037: remove another 1 comphelper/configurationhelper in sfx2



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2013-08-07 08:26:32 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cb021fcafba06ccf973f2abe229a4761c0a002de

fdo#46037: remove 1 comphelper/configurationhelper in framework



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2013-08-10 14:31:17 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=203951880a4a61b7569eb5878efc8aa5d7ff8652

fdo#46037: 1 less occurrence comphelper/configurationhelper in unotools



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2013-08-10 15:27:03 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c892638821b9e63a768047bee24fd52494de0c3

fdo#46037: 1 less comphelper/configurationhelper in sfx2



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 26 Julien Nabet 2013-08-11 10:26:21 UTC
I dealt with the low hanging fruits, I'll let the remaining since these cases are more complicate (at least for me:-)) since:
- there are dynamic paths
- some elements (eg xcfg) are used in listeners
Comment 27 Björn Michaelsen 2013-10-04 18:46:25 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 28 Commit Notification 2014-07-29 15:52:12 UTC
Alexandre Vicenzi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ae7ca8b957c9d609f8f8a2e6c01b747aee6e0a77

fdo#46037: remove unused comphelper/configurationhelper.hxx



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 29 kerem 2015-10-14 18:37:08 UTC
I sent following for this patch;

https://gerrit.libreoffice.org/#/c/19376/
Comment 30 Robinson Tryon (qubit) 2015-12-14 06:59:58 UTC Comment hidden (obsolete)
Comment 31 Commit Notification 2016-02-10 14:10:45 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=76d34bbc2696fdcfe9719f6fa70c4ef81af0c2be

tdf#46037 clean up Options - LibreOffice - Accessibility page

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 32 Robinson Tryon (qubit) 2016-02-18 14:52:10 UTC Comment hidden (obsolete)
Comment 33 jani 2016-05-05 06:06:43 UTC
The number of patches suggest this is solved
Comment 34 Andras Timar 2016-09-04 20:59:27 UTC
(In reply to jan iversen from comment #33)
> The number of patches suggest this is solved

git grep configurationhelper.hxx still gives 18 hits in current master. I suppose if this bug would have been solved, then I could not see any hits.  :)
Back to NEW.
Comment 35 Commit Notification 2017-09-11 07:31:47 UTC
Ivan Safonov committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ba7492ebe6f943976fc41274672ec41c035b4fbb

tdf#46037: Replace ConfigurationHelper with new configuration API

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.